Subject: bug#25093: Configure file for system-wide substitutes

From: "Thompson, David" <[email-masked]>
Date: Fri, 2 Dec 2016 12:30:32 -0500

On Fri, Dec 2, 2016 at 12:25 PM, Hartmut Goebel
<[email-masked]> wrote:
> Hi,
>
> when publishing packages in the local network, one wants to use this
> substitute without passing --substitute-urls on every relevant run on guix.
>
> I suggest implementing a config-file for storing the substitute-urls,
> much like the sources.list on Debian systems.
>
> In the long run we'll need this for enterprise setup anyway :-)
> Enterprises tend to fetch software from their internal  repositories only .

Just run the daemon with the subsitute URLs you want using the
--substitute-urls flag.

- Dave